Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class OlapClientConnectionValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.OlapClientConnectionValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class OlapClientConnectionValidator

extends java.lang.Object
implements org.springframework.validation.Validator

OlapClientConnectionValidator provides validation methods for the olapClientConnectionFlow

Author:
  jshih

Constructor Summary
`OlapClientConnectionValidator()`

Method Summary
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object object, org.springframework.validation.Errors errors)`
`void` | `validateConnectionSource(OlapClientConnectionWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateConnectionType(OlapClientConnectionWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateNameLabelDesc(OlapClientConnectionWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateNameLabelDescAndXmlaSource(OlapClientConnectionWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateResources(OlapClientConnectionWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateSchemaUpload(OlapClientConnectionWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateURIString(OlapClientConnectionWrapper olapUnit, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapClientConnectionValidator

    public OlapClientConnectionValidator()

Method Detail

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validate

    public void validate(java.lang.Object object,
                         org.springframework.validation.Errors errors)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validateNameLabelDesc

    public void validateNameLabelDesc(OlapClientConnectionWrapper wrapper,
                                      org.springframework.validation.Errors errors)

### validateNameLabelDescAndXmlaSource

    public void validateNameLabelDescAndXmlaSource(OlapClientConnectionWrapper wrapper,
                                                   org.springframework.validation.Errors errors)

### validateURIString

    public void validateURIString(OlapClientConnectionWrapper olapUnit,
                                  org.springframework.validation.Errors errors)

### validateSchemaUpload

    public void validateSchemaUpload(OlapClientConnectionWrapper wrapper,
                                     org.springframework.validation.Errors errors)

### validateResources

    public void validateResources(OlapClientConnectionWrapper wrapper,
                                  org.springframework.validation.Errors errors)

### validateConnectionType

    public void validateConnectionType(OlapClientConnectionWrapper wrapper,
                                       org.springframework.validation.Errors errors)

### validateConnectionSource

    public void validateConnectionSource(OlapClientConnectionWrapper wrapper,
                                         org.springframework.validation.Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.